summaryrefslogtreecommitdiff
path: root/scripts/sh/thousands
diff options
context:
space:
mode:
authorGeorge Abbott <george@gabbott.dev>2025-01-26 11:37:22 +0000
committerGeorge Abbott <george@gabbott.dev>2025-01-26 11:37:22 +0000
commit82abadcecc7534b4847238ee2a977f33256b0439 (patch)
treead8752c1dc9914829e80bc2f3f1a45dfec8f4b4a /scripts/sh/thousands
parentbac748dbe8c28cf1ed3b387b24f89ffe5a58ffc9 (diff)
sh
Diffstat (limited to 'scripts/sh/thousands')
-rwxr-xr-xscripts/sh/thousands9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/sh/thousands b/scripts/sh/thousands
new file mode 100755
index 0000000..ed361cc
--- /dev/null
+++ b/scripts/sh/thousands
@@ -0,0 +1,9 @@
+#!/bin/sh
+# thousands: update the list of thousands
+# (any additions to the file also need corresponding changes to the sed script
+# in `release`
+
+[ -z "$WWW_DEFAULT_PATH" ] && echo "WWW_DEFAULT_PATH not set" && exit 1
+[ -z "$EDITOR" ] && echo "EDITOR not set" && exit
+
+$EDITOR "$WWW_DEFAULT_PATH/src/thousands"